import { hierarchy, brushY } from 'd3';
export const compactEventSequences = (selection, props) => {
  const {
    data,
    margin,
    spacing,
    length,
  } = props;
  
  selection.attr('transform', `translate(${margin.left}, ${margin.top})`);
  
  
  // Selection & Enter for Sequences
  const sequences = selection
    .selectAll('.sequences')
    .data(data, (d,i) => i); //[d[0].data.id, i]);
  sequences.exit().remove();
  
  const sequencesEnter = sequences
    .enter().append('g')
      .attr('class', 'sequences')
      .attr('transform', (d,i) => `translate(0, 
                                    ${(length + spacing.bottom) * i})`);
  
  
  // Selection & Enter for Events
  const events = sequencesEnter.selectAll('rect').data((d) => d);
  const eventsEnter = events
    .enter().append('rect')
      .attr('width', length)
      .attr('height', length)
  		.attr('fill', '#606060')
      .attr('stroke', 'none')
      .attr('stroke-width', '0.3px')
      .attr('x', (d, i) => (spacing.right + length) * i)
  
  
  // Set Brush
  // const brush = brushY()
  //   .extent([[0, 0], [40, 400]])
    // .on('brush end', )
    // });
  
  
  // Render Brushing
  // const brushing = selection
  //   .selectAll('.ces-brush').data([null]);
  // const brushEnter = brushing
  //   .enter().append('g')
  //     .attr('class', 'ces-brush')
  //     .call(brush)
  //     .call(brush.move, [0, 400]);
}




